Is there command scroll through and display last created objects

Hi,
I am trying to find an object and one useful way would be to display one at a time the solids or surfaces created going backwards in time.

Does such exist ?

Steve

Not that I know of. Here is a quickie script that will scroll back in time through all normal objects - those that are not hidden or locked - and select them one at a time. Enter, spacebar or right mouse click to continue scrolling back, Esc to stop. Last object selected stays selected.

–Mitch

import rhinoscriptsyntax as rs
import scriptcontext as sc

def ScrollBackInTime():
    objs=rs.NormalObjects()
    if objs:
        for i in range(len(objs)):
            rs.UnselectAllObjects()
            rs.SelectObject(objs[i])
            msg="Object #{} selected.".format(i+1)
            check=rs.GetString(msg+"  Press enter to continue, Esc to stop")
            if sc.escape_test(False):
                break
        print "Oldest object reached, exiting function"
ScrollBackInTime()

Hi Mitch,
many thanks…
What if an object is on a layer that is turned off ? Does that count as hidden or is hidden referring to the Hide command ?

I trust all these wonderful scripts etc will feature in V6 ?

Steve

Yes, all objects that are not selectable will be ignored.

Probably not. It depends if there is a high demand for this sort of thing or not.

–Mitch